Bug 144352 - ddd doesn't "graph display" with inferior Perl debugger
Summary: ddd doesn't "graph display" with inferior Perl debugger
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ddd   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-06 11:56 UTC by Andrew Benham
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 11:24:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Benham 2005-01-06 11:56:26 UTC
Description:
When using the Perl debugger as the inferior debugger, the "graph
display" feature doesn't work.


Version-Release: ddd 3.3.9-1  perl 5.8.5-9


How reproducible:  100%


Steps to Reproduce:
1.  Start 'ddd' with a Perl program to debug.
2.  Step through program until a variable is set.
3.  Double click on that variable name.
  
Actual results:
"graph display <var name>" appears in Perl console window, but the
graphical display never appears in the data window.

Expected results:
"graph display <var name>" appears in Perl console window, and the
graphical display to appear in the data window.

Additional info:
Worked up to and including Fedora Core 2.

Comment 1 Andrew Benham 2005-01-07 13:41:55 UTC
May be a 3.3.9 thing. Doing a "configure/make/make install" on the
upstream source for ddd 3.3.10 gives me a ddd binary without the
problem.

Comment 2 Ngo Than 2005-02-02 11:24:57 UTC
There's a new version ddd-3.3.10-1 in the rawhide. Please update to
the new version. Thanks for your report.




Note You need to log in before you can comment on or make changes to this bug.